Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ExporterImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.BaseExporterImporter
          com.jaspersoft.jasperserver.export.ExporterImpl

All Implemented Interfaces:
  Exporter

    public class ExporterImpl

extends BaseExporterImporter
implements Exporter

Version:
  $Id: ExporterImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected class` | `ExporterImpl.ModuleContextImpl`

Field Summary
`protected ExportOutput` | `output`
`protected ExportTask` | `task`

Fields inherited from class com.jaspersoft.jasperserver.export.BaseExporterImporter
`commandOut`

Constructor Summary
`ExporterImpl()`

Method Summary
`protected void` | `createModuleElement(ExporterModule module)`
`ExportTask` | `getExportTask()`
`protected org.dom4j.Element` | `getIndexModuleElement(java.lang.String moduleId)`
`protected java.io.OutputStream` | `getIndexOutput()`
`org.dom4j.Element` | `getIndexRootElement()`
`ExportOutput` | `getOutput()`
`java.lang.String` | `getXmlVersion()`
`protected void` | `invokeModules()`
`void` | `performExport()`
`protected void` | `process()`
`void` | `setTask(ExportTask task)`
`void` | `setXmlVersion(java.lang.String xmlVersion)`
`protected void` | `writeIndexDocument(org.dom4j.Document indexDocument)`

Methods inherited from class com.jaspersoft.jasperserver.export.BaseExporterImporter
`getCharacterEncoding, getEncodingProvider, getIndexFilename, getIndexModuleElementName, getIndexModuleIdAttributeName, getIndexRootElementName, getModuleRegister, setEncodingProvider, setIndexFilename, setIndexModuleElementName, setIndexModuleIdAttributeName, setIndexRootElementName, setModuleRegister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### task

    protected ExportTask task

### output

    protected ExportOutput output

Constructor Detail

### ExporterImpl

    public ExporterImpl()

Method Detail

### getXmlVersion

    public java.lang.String getXmlVersion()

### setXmlVersion

    public void setXmlVersion(java.lang.String xmlVersion)

### getIndexRootElement

    public org.dom4j.Element getIndexRootElement()

### getIndexModuleElement

    protected org.dom4j.Element getIndexModuleElement(java.lang.String moduleId)

### getExportTask

    public ExportTask getExportTask()

### setTask

    public void setTask(ExportTask task)

  Specified by:
    `setTask` in interface `Exporter`

### getOutput

    public ExportOutput getOutput()

### performExport

    public void performExport()

  Specified by:
    `performExport` in interface `Exporter`

### process

    protected void process()

### invokeModules

    protected void invokeModules()

### createModuleElement

    protected void createModuleElement(ExporterModule module)

### writeIndexDocument

    protected void writeIndexDocument(org.dom4j.Document indexDocument)

### getIndexOutput

    protected java.io.OutputStream getIndexOutput()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.